Announcement

Collapse
No announcement yet.

Howto upgrade Mono to version 4.x on a Raspberry Pi1 and 2

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Howto upgrade Mono to version 4.x on a Raspberry Pi1 and 2

    Hello to all.
    For all who have the Raspberry Pi 1 and 2 (not 2B+) and want to use for Raspberry PlugIn i tested this and work for me (is almost something the tutorial of Spud) :

    sudo apt-get purge mono-runtime
    sudo apt-get autoremove
    sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
    sudo nano /etc/apt/sources.list

    #for wheezy:
    deb http://plugwash.raspbian.org/mono4 wheezy-mono4 main

    #for jessie:
    deb http://plugwash.raspbian.org/mono4 jessie-mono4 main

    ### https://www.raspberrypi.org/forums/v...p?f=34&t=99595 ###

    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get install mono-devel
    sudo apt-get install mono-complete

    sudo nano /etc/apt/sources.list
    deb http://download.mono-project.com/repo/debian wheezy/snapshots 4.2.3.4/main
    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get install mono-vbnc

    I tested and work.

  • #2
    Upgrading mono from 3 to 4 will break any existing HS events, so be cautious when upgrading.


    Sent from my Phone using Tapatalk
    HS 3.0.0.548: 1976 Devices 1156 Events
    Z-Wave 3.0.1.262: 123 Nodes on one Z-Net

    Comment


    • #3
      Thank you for posting this, mihaium.

      The steps you posted also work on Raspberry Pi Zero. The Zero uses an ARMv6 processor, like the Pi 1 and 2. Without the "plugwash" step, the mono installation will result in a "Segmentation Fault" on the Zero.

      I have tried the "Jessie" and "Wheezy" steps on two different Zeros, and both work fine. However, on a new machine, Wheezy will install MUCH faster, though still not speedy. The Jessie installation took quite a long time to install. Allow yourself time to install.

      Be prepared to look at the screen from time-to-time, as it may helpfully display an readme file that you need to acknowledge ("q" to quit the message) in the middle of the installation.

      Thanks, again.

      Comment


      • #4
        Many thanks, Mihaium! This worked for me on a Raspberry Pi Zero Wireless.

        Comment


        • #5
          Confirm: it works on Rasp Zero W

          Comment


          • #6
            The above solution didn't work for me...

            The working solution is:
            I started with downloading the latest Raspbian Stretch from the Pi foundation website.
            The first step was to update/upgrade repositories:

            sudo apt-get update
            sudo apt-get upgrade

            Then install all 3 mono versions:

            sudo apt-get install mono-devel

            The install may end with notification that some dependencies are missing and we need to fix that:

            sudo apt-get upgrade --fix-missing

            Then install the second one

            sudo apt-get install mono-complete

            And finally,

            sudo apt-get install mono-vbnc

            Raspberry Pi zero is slooooow, so it will take you, maybe, the whole day to update and install everything.

            After all mono versions are installed, you may follow the User guide to install RaspberryIO:
            https://forums.homeseer.com/showthread.php?t=183913

            After all these steps it works and connects without any problems.

            Comment


            • #7
              Hi to all of you,

              Im extremely new in this programming and im copying and pasting all these lines with instructions , but i can not install mono on my raspberry.
              Im using Raspberry Pi B+. I have few questions for whoever would be kind enough to help. Im not programmer by trade but this Linux stuff is killing me. This is message im getting

              "W: GPG error: http://download.mono-project.com/repo/debian wheezy InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY A6A19B38D3D831EF
              W: The repository 'http://download.mono-project.com/repo/debian wheezy InRelease' is not signed.
              N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
              N: See apt-secure(8) manpage for repository creation and user configuration details.

              Is there any easier way to do this?
              Is my board to old?

              Also i tried all other versions of raspbian , recommended, complete, etc and im still not able to install it.

              I appreciate any help.

              Best Regards,
              Tim

              Comment


              • #8
                Have you stepped through the install instructions? Looks like you're missing the apt key.

                https://www.mono-project.com/downloa...d-lin-raspbian

                Comment


                • #9
                  Hi, I tried to install apt key but didn't work.

                  sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF

                  and then i get error message

                  Executing: /tmp/apt-key-gpghome.Lh5D4Q10zm/gpg.1.sh --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
                  gpg: failed to start the dirmngr '/usr/bin/dirmngr': No such file or directory
                  gpg: connecting dirmngr at '/tmp/apt-key-gpghome.Lh5D4Q10zm/S.dirmngr' failed: No such file or directory
                  gpg: keyserver receive failed: No dirmngr

                  Comment


                  • #10
                    If you are willing to help me, i will delete everything from Raspbery and install what you are suggesting
                    Obviously, i'm doing everything wrong.

                    I have experience in PLC programming, but i know absolutely nothing about Linux.

                    Comment


                    • #11
                      Did you install the Raspberry Pi? Or using the image it came with?

                      Comment


                      • #12
                        https://www.mono-project.com/downloa...d-lin-raspbian

                        I think you may not have run the 1st step, that installs 'dirmngr'.
                        Code:
                        sudo apt install apt-transport-https dirmngr
                        sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
                        echo "deb https://download.mono-project.com/repo/debian stable-raspbianstretch main" | sudo tee /etc/apt/sources.list.d/mono-official-stable.list
                        sudo apt update

                        Comment


                        • #13
                          Im using raspbian from sd card purchased with Raspbery B+ few years ago.
                          Just waiting to re-install program once again and then will follow your instructions.

                          Comment


                          • #14
                            It's a little more time consuming/complex for a simple forum posting. A full install guide sounds like what you're needing. However first steps before taking the drastic "re-install" method. What version of Raspbian are you running?

                            Run either of these and post the output

                            Code:
                            lsb-release
                            If that does not work then do this

                            Code:
                            cat /etc/os-release

                            Comment


                            • #15
                              Well, that didnt work.

                              If im reading it right on boot screen it is:

                              Raspbian GNU/Linux 7
                              Linux raspberypi 3.12.22+ #691

                              Every time when i use command " apt" im getting error message " command not found "

                              Comment

                              Working...
                              X